diff --git a/source/appModules/nvda.py b/source/appModules/nvda.py
index 0fadb65..03c4468 100755
--- a/source/appModules/nvda.py
+++ b/source/appModules/nvda.py
@@ -15,14 +15,17 @@ class AppModule(appModuleHandler.AppModule):
 
 	def isNvdaMenu(self, obj):
 		global nvdaMenuIaIdentity
-		if obj.IAccessibleIdentity == nvdaMenuIaIdentity:
-			return True
-		if nvdaMenuIaIdentity is not True:
+		try:
+			if obj.IAccessibleIdentity == nvdaMenuIaIdentity:
+				return True
+			if nvdaMenuIaIdentity is not True:
+				return False
+			# nvdaMenuIaIdentity is True, so the next menu we encounter is the NVDA menu.
+			if obj.role == controlTypes.ROLE_POPUPMENU:
+				nvdaMenuIaIdentity = obj.IAccessibleIdentity
+				return True
+		except AttributeError:
 			return False
-		# nvdaMenuIaIdentity is True, so the next menu we encounter is the NVDA menu.
-		if obj.role == controlTypes.ROLE_POPUPMENU:
-			nvdaMenuIaIdentity = obj.IAccessibleIdentity
-			return True
 		return False
 
 	def event_NVDAObject_init(self, obj):
